Package org.apache.calcite.avatica

# Class Meta.Signature

java.lang.Object
org.apache.calcite.avatica.Meta.Signature

Enclosing interface:
  Meta

public static class Meta.Signature extends Object
Result of preparing a statement.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<ColumnMetaData>`
`columns`
`final Meta.CursorFactory`
`cursorFactory`
`final Map<String,Object>`
`internalParameters`
`final List<AvaticaParameter>`
`parameters`
`final String`
`sql`
`final Meta.StatementType`
`statementType`

## Constructor Summary

Constructors
Constructor
Description
`Signature(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Map<String,Object> internalParameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)`
Creates a Signature.

## Method Summary

Modifier and Type
Method
Description
`static Meta.Signature`
`create(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)`
Used by Jackson to create a Signature by de-serializing JSON.
`boolean`
`equals(Object o)`
`static Meta.Signature`
`fromProto(org.apache.calcite.avatica.proto.Common.Signature protoSignature)`
`int`
`hashCode()`
`Meta.Signature`
`sanitize()`
Creates a copy of this Signature with null lists and maps converted to empty.
`Meta.Signature`
`setCursorFactory(Meta.CursorFactory cursorFactory)`
Returns a copy of this Signature, substituting given CursorFactory.
`org.apache.calcite.avatica.proto.Common.Signature`
`toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### columns

public final List<ColumnMetaData> columns

### sql

public final String sql

### parameters

public final List<AvaticaParameter> parameters

### internalParameters

public final transient Map<String,Object> internalParameters

### cursorFactory

public final Meta.CursorFactory cursorFactory

### statementType

public final Meta.StatementType statementType

## Constructor Details

### Signature

public Signature(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Map<String,Object> internalParameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)
Creates a Signature.

## Method Details

### create

public static Meta.Signature create(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)
Used by Jackson to create a Signature by de-serializing JSON.

### setCursorFactory

public Meta.Signature setCursorFactory(Meta.CursorFactory cursorFactory)
Returns a copy of this Signature, substituting given CursorFactory.

### sanitize

public Meta.Signature sanitize()
Creates a copy of this Signature with null lists and maps converted to empty.

### toProto

public org.apache.calcite.avatica.proto.Common.Signature toProto()

### fromProto

public static Meta.Signature fromProto(org.apache.calcite.avatica.proto.Common.Signature protoSignature)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`